Bug 77019 - up2date crashes when parsing data from server
up2date crashes when parsing data from server
Status: CLOSED DUPLICATE of bug 77017
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Jamison
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-30 22:22 EST by Dimitrie O. Paun
Modified: 2007-04-18 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-31 10:51:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitrie O. Paun 2002-10-30 22:22:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020827

Description of problem:
The up2date program crashes with an
xml.parsers.expat.ExpatError: not well-formed (invalid token): line 1, column 0
exception


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run up2date -fu


Actual Results:  [root@dimi webstar]# up2date -fu

Fetching package list for channel: redhat-linux-i386-8.0...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-8.0...
########################################

Testing package set / solving RPM inter-dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
    main()
  File "/usr/sbin/up2date", line 573, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 737, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 62, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 116, in __dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 392, in dryRun
    depsolve.setup()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 206, in setup
    self.__add(pkgset, check = 0)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 237, in __add
    hdr = headerList[p]
  File "/usr/share/rhn/up2date_client/headers.py", line 121, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 126, in __retrievePackage
    hdr, sourceType = rpcServer.doCall(rpmSource.psc.headerSource.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 107, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 239, in getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 666, in getHeader
    fd = self.s.getPackageHeader(channel, filename)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 141, in request
    return self.parse_response(fd)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 157, in
parse_response
    p.feed(response)
  File "/usr/lib/python2.2/xmlrpclib.py", line 390, in feed
    self._parser.Parse(data, 0)
xml.parsers.expat.ExpatError: not well-formed (invalid token): line 1, column 0
[root@dimi webstar]#

Expected Results:  Just Work (TM)

Additional info:

Just updgraded from RH 7.3 to 8.0
Comment 1 Josef Komenda 2002-10-31 10:20:24 EST
up2date -fu runs without error on my 7.2->8.0 box. What files are you trying to
force, and why? please run up2date -l and paster the output. 

Also, have you run up2date -p since the upgrade? If you log onto RHN, does it
correctly show your current packages, and version?

Finally, do you have any 3rd party rpm's installed, such as nvidia, ximian, etc?


Comment 2 Dimitrie O. Paun 2002-10-31 10:50:58 EST
What files I force? I don't know, the kernel... This is the way I always used 
it -- no reason to crash, and burn, eh? :) 
 
No, no up2date -p since the upgrade. Shouldn't it figure these things 
automatically? How was I supposed to know? Should I do it? 
 
No 3rd parties packages. 
 
[root@dimi dimi]# up2date -l 
 
Fetching package list for channel: redhat-linux-i386-8.0... 
######################################## 
 
Fetching Obsoletes list for channel: redhat-linux-i386-8.0... 
######################################## 
 
Fetching rpm headers... 
############################## 
Name                                    Version        Rel 
---------------------------------------------------------- 
fetchmail                               5.9.0          21 
hwdata                                  0.48           1 
tetex                                   1.0.7          57.1 
tetex-dvips                             1.0.7          57.1 
 
The following Packages were marked to be skipped by your configuration: 
 
Name                                    Version        Rel  Reason 
------------------------------------------------------------------------------- 
kernel                                  2.4.18         17.8.0Pkg name/pattern 
kernel-source                           2.4.18         17.8.0Pkg name/pattern 
 
Comment 3 Mihai Ibanescu 2002-10-31 10:54:29 EST

*** This bug has been marked as a duplicate of 77017 ***

Note You need to log in before you can comment on or make changes to this bug.